Subject: Re: PPP

From: Vernon Schryver <[email-masked]>
Date: Thu, 28 Feb 2002 16:49:56 -0700 (MST)

> From: "J. Noel Chiappa" <[email-masked]>

> Why are you surprised? Simple tools (e.g. a screwdriver) have always had the
> characteristic that they can be used for more things than complex ones (e.g.
> a mortise-cutting bit for a drill press - now there's a cool tool, BTW - but
> I digress). ...

That may be a digression, but it is a good elaboration of the "all the
world's a nail" saying.  Screwdrivers and hammers are not only more
flexible, but they are a lot harder to break and vastly easier to repair
or just sharpen when they get worn.  A mortise-cutting bit is an awesome
improvement over the alternative, even if you are crazy about grinding
your chisels to two angles, diamond stones, strops, and so forth.
However, as far as I can tell, hand sharpening a mortise-cutting bit
calls for real talent and skill, and don't even think about the equivalent
of grinding a new end onto a wrecked screwdriver.

> ...
> Anyway, simple protocols, like PPP and ARP (another canonical subject of
> abuse) get reused in vile ways because the architecture which they are
> components of is fundamentally under-provisioned with mechanisms. But, oh, I
> forgot, the IPv4 architecture is basically fine, it just needs some
> engineering refinements. And Eastasia is at war with Oceania...

That's backwards.  The architectures that are not "under-provisioned
with mechanisms" are total disasters, as anyone who was even slightly
technically involved with TP1-4 knows instinctively, unless they're
repressing painful memories.

In fact, absolutely everything is fundamentally under-provisioned with
mechanisms next year when someone comes up with a new application or
other idea.  It is a fraud and a deceit to claim to be able to
"architect" provisions for a significant or even noticable part of
the unforeseen future.  If your design covers any of the real future,
as opposed to the future you predicted, you're very lucky.  It is
not honest to confound great luck with great skill or talent.

Vernon Schryver    [email-masked]